Package org.eclipse.birt.report.model.api

# Class CssSharedStyleHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.StyleHandle
org.eclipse.birt.report.model.api.SharedStyleHandle
org.eclipse.birt.report.model.api.CssSharedStyleHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IStyleModel`

public class CssSharedStyleHandle extends SharedStyleHandle
Css shared style handle.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyleModel

`BACKGROUND_ATTACHMENT_PROP, BACKGROUND_COLOR_PROP, BACKGROUND_IMAGE_PROP, BACKGROUND_IMAGE_TYPE_PROP, BACKGROUND_POSITION_X_PROP, BACKGROUND_POSITION_Y_PROP, BACKGROUND_REPEAT_PROP, BACKGROUND_SIZE_HEIGHT, BACKGROUND_SIZE_WIDTH, BORDER_ANTIDIAGONAL_COLOR_PROP, BORDER_ANTIDIAGONAL_NUMBER_PROP, BORDER_ANTIDIAGONAL_STYLE_PROP, BORDER_ANTIDIAGONAL_WIDTH_PROP, BORDER_BOTTOM_COLOR_PROP, BORDER_BOTTOM_STYLE_PROP, BORDER_BOTTOM_WIDTH_PROP, BORDER_DIAGONAL_COLOR_PROP, BORDER_DIAGONAL_NUMBER_PROP, BORDER_DIAGONAL_STYLE_PROP, BORDER_DIAGONAL_WIDTH_PROP, BORDER_LEFT_COLOR_PROP, BORDER_LEFT_STYLE_PROP, BORDER_LEFT_WIDTH_PROP, BORDER_RIGHT_COLOR_PROP, BORDER_RIGHT_STYLE_PROP, BORDER_RIGHT_WIDTH_PROP, BORDER_TOP_COLOR_PROP, BORDER_TOP_STYLE_PROP, BORDER_TOP_WIDTH_PROP, CAN_SHRINK_PROP, COLOR_PROP, DATE_FORMAT_PROP, DATE_TIME_FORMAT_PROP, DISPLAY_PROP, FONT_FAMILY_PROP, FONT_SIZE_PROP, FONT_STYLE_PROP, FONT_VARIANT_PROP, FONT_WEIGHT_PROP, HEIGHT_PROP, HIGHLIGHT_RULES_PROP, LETTER_SPACING_PROP, LINE_HEIGHT_PROP, MAP_RULES_PROP, MARGIN_BOTTOM_PROP, MARGIN_LEFT_PROP, MARGIN_RIGHT_PROP, MARGIN_TOP_PROP, MASTER_PAGE_PROP, NUMBER_ALIGN_PROP, NUMBER_FORMAT_PROP, ORPHANS_PROP, OVERFLOW_PROP, PADDING_BOTTOM_PROP, PADDING_LEFT_PROP, PADDING_RIGHT_PROP, PADDING_TOP_PROP, PAGE_BREAK_AFTER_PROP, PAGE_BREAK_BEFORE_PROP, PAGE_BREAK_INSIDE_PROP, SHOW_IF_BLANK_PROP, STRING_FORMAT_PROP, TEXT_ALIGN_PROP, TEXT_DIRECTION_PROP, TEXT_HYPERLINK_STYLE_PROP, TEXT_INDENT_PROP, TEXT_LINE_THROUGH_PROP, TEXT_OVERLINE_PROP, TEXT_TRANSFORM_PROP, TEXT_UNDERLINE_PROP, TIME_FORMAT_PROP, VERTICAL_ALIGN_PROP, WHITE_SPACE_PROP, WIDOWS_PROP, WIDTH_PROP, WORD_SPACING_PROP`

## Constructor Summary

Constructors
Constructor
Description
`CssSharedStyleHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructor
`CssSharedStyleHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, org.eclipse.birt.report.model.css.CssStyleSheet cssSheet)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`SlotHandle`
`getContainerSlotHandle()`
Returns the a handle the the container's slot that holds this element.
`CssStyleSheetHandle`
`getCssStyleSheetHandle()`
Gets css style sheet handle.

### Methods inherited from class org.eclipse.birt.report.model.api.SharedStyleHandle

`getQualifiedName`

### Methods inherited from class org.eclipse.birt.report.model.api.StyleHandle

`canShrink, getBackgroundAttachment, getBackgroundColor, getBackgroundHeight, getBackgroundImage, getBackgroundImageType, getBackGroundPositionX, getBackGroundPositionY, getBackgroundRepeat, getBackgroundWidth, getBorderBottomColor, getBorderBottomStyle, getBorderBottomWidth, getBorderLeftColor, getBorderLeftStyle, getBorderLeftWidth, getBorderRightColor, getBorderRightStyle, getBorderRightWidth, getBorderTopColor, getBorderTopStyle, getBorderTopWidth, getColor, getDateFormat, getDateFormatCategory, getDateTimeFormat, getDateTimeFormatCategory, getDisplay, getFontFamilyHandle, getFontSize, getFontStyle, getFontVariant, getFontWeight, getHeight, getHighlightTestExpr, getLetterSpacing, getLineHeight, getMapTestExpr, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getMasterPage, getNumberFormat, getNumberFormatCategory, getOrphans, getOverflow, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPageBreakAfter, getPageBreakBefore, getPageBreakInside, getStringFormat, getStringFormatCategory, getTextAlign, getTextDirection, getTextHyperlinkStyle, getTextIndent, getTextLineThrough, getTextOverline, getTextTransform, getTextUnderline, getTimeFormat, getTimeFormatCategory, getVerticalAlign, getWhiteSpace, getWidows, getWidth, getWordSpacing, highlightRulesIterator, isPredefined, mapRulesIterator, setBackgroundAttachment, setBackgroundHeight, setBackgroundImage, setBackgroundImageType, setBackgroundRepeat, setBackgroundWidth, setBorderBottomStyle, setBorderLeftStyle, setBorderRightStyle, setBorderTopStyle, setCanShrink, setDateFormat, setDateFormatCategory, setDateTimeFormat, setDateTimeFormatCategory, setDisplay, setFontStyle, setFontVariant, setFontWeight, setHeight, setHighlightTestExpr, setMapTestExpr, setMasterPage, setNumberFormat, setNumberFormatCategory, setOrphans, setOverflow, setPageBreakAfter, setPageBreakBefore, setPageBreakInside, setShowIfBlank, setStringFormat, setStringFormatCategory, setTextAlign, setTextDirection, setTextHyperlinkStyle, setTextLineThrough, setTextOverline, setTextTransform, setTextUnderline, setTimeFormat, setTimeFormatCategory, setVerticalAlign, setWhiteSpace, setWidows, setWidth, showIfBlank`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CssSharedStyleHandle

public CssSharedStyleHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructor

Parameters:
  `module` -
  `element` -

### CssSharedStyleHandle

public CssSharedStyleHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, org.eclipse.birt.report.model.css.CssStyleSheet cssSheet)
Constructor

Parameters:
  `module` -
  `element` -
  `cssSheet` -

## Method Details

### getContainerSlotHandle

public SlotHandle getContainerSlotHandle()
Description copied from class: `DesignElementHandle`
Returns the a handle the the container's slot that holds this element.

Overrides:
  `getContainerSlotHandle` in class `DesignElementHandle`
Returns:
  the slot handle in which this element resides, `null` if this element has no container.

### getCssStyleSheetHandle

public CssStyleSheetHandle getCssStyleSheetHandle()
Gets css style sheet handle.

Returns:
  the css style sheet handle.